ru.bitel.bgbilling.modules.inet.accounting.event

## Class InetConnectionCommandEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.accounting.event.InetConnectionCommandEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetConnectionCommandEvent
      extends QueueEvent

  Команды `command`:
  finish - завершение сессии в биллинге
  stop - закрытие сессии в биллинге
  close - инициировать сбор сессии
  rebind:<deviceState>:<deviceOptions> - перевешивание сессии на другой сервис с указанием новых deviceState и deviceOptions
  stopAllForDeviceId - закрытие всех сессий устройства старше указанного в `params` timeout
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetConnectionCommandEvent()`
    `` | `InetConnectionCommandEvent(int moduleId, int userId, int accountingRootDeviceId, int deviceId, int contractId, int servId, long connectionId, java.lang.String command)`
    `` | `InetConnectionCommandEvent(int moduleId, int userId, int accountingRootDeviceId, int deviceId, int contractId, int servId, long connectionId, java.lang.String command, java.lang.String params)`
    `` | `InetConnectionCommandEvent(int moduleId, int userId, int accountingRootDeviceId, int deviceId, int servId, long connectionId, java.lang.String command)`
    `` | `InetConnectionCommandEvent(int moduleId, int userId, int accountingRootDeviceId, int deviceId, int servId, long connectionId, java.lang.String command, java.lang.String params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommand()`
    `long` | `getConnectionId()`
    `int` | `getDeviceId()`
    `java.lang.String` | `getParams()`
    `int` | `getServId()`
    `protected void` | `prepareMessage(javax.jms.Message message)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetConnectionCommandEvent

          protected InetConnectionCommandEvent()

    - #### InetConnectionCommandEvent

          public InetConnectionCommandEvent(int moduleId,
                                            int userId,
                                            int accountingRootDeviceId,
                                            int deviceId,
                                            int servId,
                                            long connectionId,
                                            java.lang.String command)

    - #### InetConnectionCommandEvent

          public InetConnectionCommandEvent(int moduleId,
                                            int userId,
                                            int accountingRootDeviceId,
                                            int deviceId,
                                            int contractId,
                                            int servId,
                                            long connectionId,
                                            java.lang.String command)

    - #### InetConnectionCommandEvent

          public InetConnectionCommandEvent(int moduleId,
                                            int userId,
                                            int accountingRootDeviceId,
                                            int deviceId,
                                            int servId,
                                            long connectionId,
                                            java.lang.String command,
                                            java.lang.String params)

    - #### InetConnectionCommandEvent

          public InetConnectionCommandEvent(int moduleId,
                                            int userId,
                                            int accountingRootDeviceId,
                                            int deviceId,
                                            int contractId,
                                            int servId,
                                            long connectionId,
                                            java.lang.String command,
                                            java.lang.String params)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getServId

          public int getServId()

    - #### getConnectionId

          public long getConnectionId()

    - #### getCommand

          public java.lang.String getCommand()

    - #### getParams

          public java.lang.String getParams()